import { defineComponent } from 'vue';
import { NImage } from 'naive-ui';
import styles from './index.module.less';
import logo from './images/logo.png';
import classIcon from './images/classIcon.png';
import classNormal from './images/classNormal.png';
import indexIcon from './images/indexIcon.png';
import indexNormal from './images/indexNormal.png';
import kuIcon from './images/kuIcon.png';
import kuNormal from './images/kuNormal.png';
import palyIcon from './images/palyIcon.png';
import palyNormal from './images/palyNormal.png';
import resourceIcon from './images/resourceIcon.png';
import resourceNormal from './images/resourceNormal.png';
import setIcon from './images/setIcon.png';
import setNormal from './images/setNormal.png';
import studentIcon from './images/studentIcon.png';
import studentNormal from './images/studentNormal.png';
import SilderItem from './modals/silderItem';
export default defineComponent({
  name: 'layoutSilder',
  setup() {
    const itemInfoList = [
      {
        activeIcon: indexIcon,
        name: '主页',
        normalIcon: indexNormal,
        isActive: false
      },
      {
        activeIcon: studentIcon,
        name: '学生',
        normalIcon: studentNormal,
        isActive: false
      },
      {
        activeIcon: classIcon,
        name: '班级',
        normalIcon: classNormal,
        isActive: false
      },
      {
        activeIcon: palyIcon,
        name: '备课',
        normalIcon: palyNormal,
        isActive: false
      },
      {
        activeIcon: kuIcon,
        name: '小酷AI',
        normalIcon: kuNormal,
        isActive: false
      },
      {
        activeIcon: resourceIcon,
        name: '资源',
        normalIcon: resourceNormal,
        isActive: false
      },
      {
        activeIcon: setIcon,
        name: '设置',
        normalIcon: setNormal,
        isActive: false
      }
    ];
    return () => (
      <>
        <div class={styles.silder}>
          <div class={styles.logoWrap}>
            <NImage width="62" height="60" src={logo} preview-disabled></NImage>
          </div>
          <div class={styles.sliderList}>
            {itemInfoList.map((item: any) => (
              <SilderItem item={item}> </SilderItem>
            ))}
          </div>
        </div>
      </>
    );
  }
});
