export const constantRoutes: any[] = [
  {
    name: 'login',
    path: '/login',
    component: () => import('@/views/login/index'),
    meta: {
      title: '登录',
      singleLayout: 'blank'
    }
  },
  {
    name: '/Layout',
    path: '/',
    component: () => import('@/components/layout/index'),
    children: [
      {
        //默认 显示home组件
        path: '',
        name: 'Home',
        component: () => import('@/views/home/index')
      }
    ]
  },
  {
    name: '404',
    path: '/404',
    component: () => import('@/views/404/index'),
    meta: {
      title: '未找到',
      singleLayout: 'blank'
    }
  },
  // 匹配无效路径的路由
  {
    name: 'not-found',
    path: '/:pathMatch(.*)*',
    meta: {
      title: '未找到',
      singleLayout: 'blank'
    }
  }
];
